Module java.naming
Package javax.naming

## Class NameAlreadyBoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.naming.NamingException
      - - javax.naming.NameAlreadyBoundException

All Implemented Interfaces:
  Serializable

    public class NameAlreadyBoundException
    extends NamingException

This exception is thrown by methods to indicate that a binding cannot be added because the name is already bound to another object.

Synchronization and serialization issues that apply to NamingException apply directly here.

Since:
  1.3
See Also:
  `Context.bind(javax.naming.Name, java.lang.Object)`, `Context.rebind(javax.naming.Name, java.lang.Object)`, `Context.createSubcontext(javax.naming.Name)`, `DirContext.bind(javax.naming.Name, java.lang.Object, javax.naming.directory.Attributes)`, `DirContext.rebind(javax.naming.Name, java.lang.Object, javax.naming.directory.Attributes)`, `DirContext.createSubcontext(javax.naming.Name, javax.naming.directory.Attributes)`, Serialized Form

### Field Summary

### Fields inherited from class javax.naming.NamingException

`remainingName, resolvedName, resolvedObj, rootException`

### Constructor Summary

Constructors
Constructor and Description
`NameAlreadyBoundException()` Constructs a new instance of NameAlreadyBoundException.
`NameAlreadyBoundException(String explanation)` Constructs a new instance of NameAlreadyBoundException using the explanation supplied.

### Method Summary

### Methods inherited from class javax.naming.NamingException

`appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Constructor Detail

#### NameAlreadyBoundException

    public NameAlreadyBoundException()

Constructs a new instance of NameAlreadyBoundException. All fields are set to null;

#### NameAlreadyBoundException

    public NameAlreadyBoundException(String explanation)

Constructs a new instance of NameAlreadyBoundException using the explanation supplied. All other fields default to null.

Parameters:
  `explanation` - Possibly null additional detail about this exception.
See Also:
  `Throwable.getMessage()`